AntiFeatures:
  - Ads
  - NonFreeNet
Categories:
  - Games
License: GPL-2.0-only
AuthorName: Krasimir Topchiyski
AuthorEmail: k_topchiyski@yahoo.com
AuthorWebSite: https://metatransapps.com/
WebSite: https://metatransapps.com/gravity-force-finger-137-cross-the-orbits/
SourceCode: https://github.com/MetatransApps/Android_APK_2DGravity
IssueTracker: https://github.com/MetatransApps/Android_APK_2DGravity/issues

AutoName: 'Gravity Force Finger 137: Cross the Orbits'

RepoType: git
Repo: https://github.com/MetatransApps/Android_APK_2DGravity.git

Builds:
  - versionName: 1.0.3
    versionCode: 103
    commit: 103-fdroid-import-request
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - cd ../../
      - git clone https://github.com/MetatransApps/Android_LIB_Commons.git
      - git clone https://github.com/MetatransApps/Android_LIB_CommonsAds.git
      - git clone https://github.com/MetatransApps/Android_LIB_Commons2D.git
      - git clone https://github.com/MetatransApps/Android_APP_2DGravity.git

  - versionName: 1.0.7
    versionCode: 107
    commit: d158d60b8b66e817a0e1f0dbf9ce2b98e4cea62b
    subdir: app
    sudo:
      - apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes
    prebuild:
      - cd ../../
      - git clone https://github.com/MetatransApps/Android_LIB_Commons.git
      - git clone https://github.com/MetatransApps/Android_LIB_CommonsAds.git
      - git clone https://github.com/MetatransApps/Android_LIB_Commons2D.git
      - git clone https://github.com/MetatransApps/Android_APP_2DGravity.git

  - versionName: 1.1.0
    versionCode: 110
    commit: 70bf65c4918697e63577427c33c0e110d4dc433e
    subdir: app
    submodules: true
    gradle:
      - yes

  - versionName: 1.1.3
    versionCode: 113
    commit: df3079ab3e7a905ddeb3723f17f56cb77ffae2c8
    subdir: app
    submodules: true
    gradle:
      - yes

MaintainerNotes: |-
    * Ads: contains self-served ads
    * NonFreeNet: connections to Google (Fonts) and Youtube caused by the ads

AutoUpdateMode: Version %c
UpdateCheckMode: Tags
CurrentVersion: 1.1.3
CurrentVersionCode: 113
